org.opencv.xfeatures2d

## Class VGG

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.xfeatures2d.VGG

-     public class VGG
      extends Feature2D

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VGG(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VGG` | `__fromPtr__(long addr)`
    `static VGG` | `create()`
    `static VGG` | `create(int desc, float isigma, boolean img_normalize, boolean use_scale_orientation, float scale_factor, boolean dsc_normalize)`
    `protected void` | `finalize()`
    `float` | `getScaleFactor()`
    `float` | `getSigma()`
    `boolean` | `getUseNormalizeDescriptor()`
    `boolean` | `getUseNormalizeImage()`
    `boolean` | `getUseScaleOrientation()`
    `void` | `setScaleFactor(float scale_factor)`
    `void` | `setSigma(float isigma)`
    `void` | `setUseNormalizeDescriptor(boolean dsc_normalize)`
    `void` | `setUseNormalizeImage(boolean img_normalize)`
    `void` | `setUseScaleOrientation(boolean use_scale_orientation)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, getDefaultName, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VGG

          protected VGG(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static VGG __fromPtr__(long addr)

    - #### create

          public static VGG create(int desc,
                                   float isigma,
                                   boolean img_normalize,
                                   boolean use_scale_orientation,
                                   float scale_factor,
                                   boolean dsc_normalize)

    - #### create

          public static VGG create()

    - #### getUseNormalizeDescriptor

          public boolean getUseNormalizeDescriptor()

    - #### getUseNormalizeImage

          public boolean getUseNormalizeImage()

    - #### getUseScaleOrientation

          public boolean getUseScaleOrientation()

    - #### getScaleFactor

          public float getScaleFactor()

    - #### getSigma

          public float getSigma()

    - #### setScaleFactor

          public void setScaleFactor(float scale_factor)

    - #### setSigma

          public void setSigma(float isigma)

    - #### setUseNormalizeDescriptor

          public void setUseNormalizeDescriptor(boolean dsc_normalize)

    - #### setUseNormalizeImage

          public void setUseNormalizeImage(boolean img_normalize)

    - #### setUseScaleOrientation

          public void setUseScaleOrientation(boolean use_scale_orientation)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1